Bug 8445 - [UPDATE REQUEST 2016.1] lame 3.99.5 -> 3.100
: [UPDATE REQUEST 2016.1] lame 3.99.5 -> 3.100
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-01 06:30 MSK by Andrey Bondrov
Modified: 2017-11-20 18:50 MSK (History)
2 users (show)

See Also:
RPM Package: lame
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2017-11-01 06:30:12 MSK
LAME 3.100   October 13 2017

Rogério Brito
    Don't include the debian directory as one that is needed during builds. Patch taken from Debian's packaging of lame.
    Resurrect Owen Taylor's code dated from 97-11-3 to properly deal with GTK1. This was transplanted back from aclocal.m4 with a patch provided by Andres Mejia. This change makes it easy to regenerate autotools' files with a simple invocation of autoconf -vfi.
    Fix possible race condition causing build failures in libmp3lame. Discovered in automated builds by the Debian project with patch provided by Andres Mejia.

Robert Hegemann
    Improved detection of MPEG audio data in RIFF WAVE files. Tracker item [ 3545112 ] Invalid sampling detection
    New switch --gain <decibel>, range -20.0 to +12.0, a more convenient way to apply Gain adjustment in decibels, than the use of --scale <factor>.
    Fix for tracker item [ 3558466 ] Bug in path handling
    Fix for tracker item [ 3567844 ] problem with Tag genre
    Fix for tracker item [ 3565659 ] no progress indication with pipe input
    Fix for tracker item [ 3544957 ] scale (empty) silent encode without warning
    Fix for tracker item [ 3580176 ] environment variable LAMEOPT doesn't work anymore
    Fix for tracker item [ 3608583 ] input file name displayed with wrong character encoding (on windows console with CP_UTF8)
    Fix for bug ticket [ #447 ] Fix dereference NULL and Buffer not NULL terminated issues. Thanks to Surabhi Mishra
    Fix for bug ticket [ #445 ] dereference of a null pointer possible in loop. Thanks to Renu Tyagi
    Fix for bug ticket [ #449 ] Make sure functions with SSE instructions maintain their own properly aligned stack. Thanks to Fabian Greffrath
    Fix for bug ticket [ #458 ] Multiple Stack and Heap Corruptions from Malicious File. Thanks to Gareth Evans and Elio Blanca
    Fix for bug ticket [ #460 ] A division by zero vulnerability. Thanks to Wang Shiyang, Liu Bingchang
    Fix for bug ticket [ #461 ] CVE-2017-9410 fill_buffer_resample function in libmp3lame/util.c heap-based buffer over-read and ap
    Fix for bug ticket [ #462 ] CVE-2017-9411 fill_buffer_resample function in libmp3lame/util.c invalid memory read and application crash
    Fix for bug ticket [ #463 ] CVE-2017-9412 unpack_read_samples function in frontend/get_audio.c invalid memory read and application crash
    Fix for bug ticket [ #434 ] clip detect scale suggestion unaware of scale input value
    HIP decoder bug fixed: decoding mixed blocks of lower sample frequency Layer3 data resulted in internal buffer overflow (write). Thanks to Henri Salo

Alexander Leidinger
    Feature request, patch ticket [ #27 ] Add lame_encode_buffer_interleaved_int() by Michael Fink
Comment 1 Andrey Bondrov 2017-11-01 06:30:51 MSK
Advisory: "Update lame to new version 3.100"

https://abf.rosalinux.ru/build_lists/2907473
https://abf.rosalinux.ru/build_lists/2907474
Comment 2 s.savelyeva 2017-11-15 18:58:04 MSK
bug found http://bugs.rosalinux.ru/show_bug.cgi?id=8483
Comment 3 Vladimir Potapov 2017-11-15 23:19:45 MSK
The update is sent to expanded testing
***************************************
Comment 4 Vladimir Potapov 2017-11-20 17:00:06 MSK
lame-3.100-1
https://abf.rosalinux.ru/build_lists/2907473
https://abf.rosalinux.ru/build_lists/2907474

********************************** Advisory ******************************
Update lame to new version 3.100
**************************************************************************
QA Verified